Subject: bug#70593: 30.0.50; Dired: buffers of renamed dirs are broken

From: Michael Heerdegen <[email-masked]>
Date: Wed, 22 May 2024 00:43:36 +0200

Eli Zaretskii <[email-masked]> writes:

> We could document that renaming a directory that is a symlink is
> currently not supported, and move on.  Someone who is motivated enough
> could come up with patches to fix that later.

I think so, too.

> Is there some narrower problem you'd like to fix there at this time
> and know how to do that?  If so, feel free to install such a narrower
> fix.

I think in addition to what I had posted I want to make reverting any
dired buffer emit a warning message and do nothing in the case when
`default-directory' is not readable.  Just destroying the buffer
contents and barfing afterwards is not useful.

Will finalize and post my updated patch soon.

Michael.